import * as React from 'react';
export declare type SingleOrArray<T> = T | T[];
export interface IlluminateToken {
    type: string;
    content: SingleOrArray<string | IlluminateToken>;
    alias?: SingleOrArray<string>;
}
export interface CustomClasses {
    prefix?: string;
    map?: Record<string, string>;
}
export interface TokenProps {
    token: SingleOrArray<string | IlluminateToken>;
    customClasses?: CustomClasses;
}
export declare function TokenElement(props: TokenProps): React.ReactElement<TokenProps>;
